"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.footer = void 0;
const typedoc_1 = require("typedoc");
const infrafoot_1 = require("./infrafoot");
function footer(context, props) {
    return (typedoc_1.JSX.createElement("footer", null,
        typedoc_1.JSX.createElement("div", { class: "container" },
            typedoc_1.JSX.createElement("h2", { class: "tsd-legend-title" }, "Legend"),
            typedoc_1.JSX.createElement("div", { class: "tsd-legend-group" },
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-module" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Module")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-object-literal" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Object literal")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-variable" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Variable")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-function" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Function")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-function tsd-has-type-parameter" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Function with type parameter")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-index-signature" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Index signature")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-type-alias" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Type alias")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-type-alias tsd-has-type-parameter" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Type alias with type parameter"))),
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-enum" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Enumeration")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-enum-member" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Enumeration member")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-property tsd-parent-kind-enum" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Property")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-method tsd-parent-kind-enum" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Method"))),
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-interface" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Interface")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-interface tsd-has-type-parameter" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Interface with type parameter")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-constructor tsd-parent-kind-interface" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Constructor")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-property tsd-parent-kind-interface" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Property")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-method tsd-parent-kind-interface" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Method")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-index-signature tsd-parent-kind-interface" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Index signature"))),
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-class" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Class")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-class tsd-has-type-parameter" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Class with type parameter")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-constructor tsd-parent-kind-class" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Constructor")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-property tsd-parent-kind-class" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Property")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-method tsd-parent-kind-class" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Method")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-accessor tsd-parent-kind-class" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Accessor")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-index-signature tsd-parent-kind-class" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Index signature"))),
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Inherited constructor")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-property tsd-parent-kind-class tsd-is-inherited" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Inherited property")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-method tsd-parent-kind-class tsd-is-inherited" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Inherited method")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Inherited accessor"))),
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-property tsd-parent-kind-class tsd-is-protected" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Protected property")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-method tsd-parent-kind-class tsd-is-protected" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Protected method")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-accessor tsd-parent-kind-class tsd-is-protected" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Protected accessor"))),
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-property tsd-parent-kind-class tsd-is-private" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Private property")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-method tsd-parent-kind-class tsd-is-private" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Private method")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-accessor tsd-parent-kind-class tsd-is-private" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Private accessor"))),
                typedoc_1.JSX.createElement("ul", { class: "tsd-legend" },
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-property tsd-parent-kind-class tsd-is-static" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Static property")),
                    typedoc_1.JSX.createElement("li", { class: "tsd-kind-call-signature tsd-parent-kind-class tsd-is-static" },
                        typedoc_1.JSX.createElement("span", { class: "tsd-kind-icon" }, "Static method"))))),
        typedoc_1.JSX.createElement("div", { id: "footer-container" }, (0, infrafoot_1.infraFoot)(context, props))));
}
exports.footer = footer;
