"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.infraNav = void 0;
const typedoc_1 = require("typedoc");
function infraNav(context, props) {
    return (typedoc_1.JSX.createElement("header", { id: "header", class: "globalnav", "data-nav-auto-init": "false", "data-mega-menu": "true" },
        typedoc_1.JSX.createElement("div", { class: "sticky-wrapper", style: "height: 77px;" },
            typedoc_1.JSX.createElement("div", { id: "header-wrap", class: "globalnav__container", "data-default-height": "175", "data-sticky-height": "175" },
                typedoc_1.JSX.createElement("div", { class: "globalnav__search" },
                    typedoc_1.JSX.createElement("div", { class: "globalnav__search-container globalnav__wrapper" },
                        typedoc_1.JSX.createElement("div", { class: "search search__container search--support", "data-cse-resultsurl": "/search" },
                            typedoc_1.JSX.createElement("input", { id: "q", class: "search__input", type: "text", name: "q", value: "", placeholder: "Search Infragistics.com" }),
                            typedoc_1.JSX.createElement("button", { type: "submit", value: "search" },
                                typedoc_1.JSX.createElement("svg", { "enable-background": "new 0 0 512 512", id: "search", viewBox: "0 0 512 512", xmlns: "http://www.w3.org/2000/svg" },
                                    typedoc_1.JSX.createElement("path", { d: "M497.913,497.913c-18.782,18.782-49.225,18.782-68.008,0l-84.862-84.863c-34.889,22.382-76.13,35.717-120.659,35.717  C100.469,448.767,0,348.312,0,224.383S100.469,0,224.384,0c123.931,0,224.384,100.452,224.384,224.383  c0,44.514-13.352,85.771-35.718,120.676l84.863,84.863C516.695,448.704,516.695,479.131,497.913,497.913z M224.384,64.109  c-88.511,0-160.274,71.747-160.274,160.273c0,88.526,71.764,160.274,160.274,160.274c88.525,0,160.273-71.748,160.273-160.274  C384.657,135.856,312.909,64.109,224.384,64.109z" })))))),
                typedoc_1.JSX.createElement("div", { class: "globalnav__primary clearfix" },
                    typedoc_1.JSX.createElement("div", { class: "globalnav__wrapper" },
                        typedoc_1.JSX.createElement("div", { class: "globalnav__section clearfix" },
                            typedoc_1.JSX.createElement("nav", { class: "globalnav__menu-container" },
                                typedoc_1.JSX.createElement("ul", { class: "navigation navigation--xs navigation--hpad-0" },
                                    typedoc_1.JSX.createElement("li", { class: "navigation__text deemphasize", style: "width: auto;" }, "North American Sales: 1-800-231-8588"),
                                    typedoc_1.JSX.createElement("li", null,
                                        typedoc_1.JSX.createElement("a", { title: "Contact Us", "data-id": "9668", href: "/about-us/contact-us", class: "mchNoDecorate" }, "Global Contacts")),
                                    typedoc_1.JSX.createElement("li", { class: "navigation__account" },
                                        typedoc_1.JSX.createElement("a", { class: "signInLink mchNoDecorate", href: "/my-account/keys-and-downloads" }, "My Account"))))),
                        typedoc_1.JSX.createElement("div", { class: "globalnav__brand" },
                            typedoc_1.JSX.createElement("a", { href: "/", class: "mchNoDecorate" },
                                " ",
                                typedoc_1.JSX.createElement("img", { class: "globalnav__logo", src: "https://static.infragistics.com/marketing/Website/General/Infragistics-horizontal.svg", alt: "" }),
                                " ",
                                typedoc_1.JSX.createElement("img", { class: "globalnav__logo_abbr", src: "https://static.infragistics.com/marketing/Website/General/IG-icon.svg", alt: "" }),
                                " ")),
                        typedoc_1.JSX.createElement("div", { class: "globalnav__mobile-menu" },
                            typedoc_1.JSX.createElement("a", { class: "globalnav__menu-toggle mchNoDecorate", href: "#" },
                                " ",
                                typedoc_1.JSX.createElement("span", null, "Menu"),
                                " ")),
                        typedoc_1.JSX.createElement("div", { class: "globalnav__search-toggle" },
                            typedoc_1.JSX.createElement("div", { class: "globalnav__search-close" },
                                typedoc_1.JSX.createElement("i", null, " "))),
                        typedoc_1.JSX.createElement("nav", { class: "globalnav__menu-container" },
                            typedoc_1.JSX.createElement("ul", { class: "navigation navigation--navbar navigation--hpad-0 sf-menu" },
                                typedoc_1.JSX.createElement("li", { class: "navigation__mobile-link" },
                                    typedoc_1.JSX.createElement("div", { class: "globalnav__callout-text" }, "North American Sales: 1-800-321-8588")),
                                typedoc_1.JSX.createElement("li", { class: "navigation__mobile-link" },
                                    typedoc_1.JSX.createElement("a", { class: "navigation__sub-menu mchNoDecorate", href: "#" }, "My Account"),
                                    typedoc_1.JSX.createElement("ul", { class: "sub-menu clearfix", style: "display: none;" },
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { class: "signInLink mchNoDecorate", href: "/my-account/keys-and-downloads" }, "Sign In/Register")))),
                                typedoc_1.JSX.createElement("li", { class: "menu-full-width" },
                                    typedoc_1.JSX.createElement("a", { class: "navigation__sub-menu", title: "Design and Development", href: "/products/ultimate" },
                                        typedoc_1.JSX.createElement("span", { class: "hidden-md" }, "Design & Development"),
                                        typedoc_1.JSX.createElement("span", { class: "visible-md hidden-lg hidden-sm hidden-xs hidden-xxs" }, "Design & Develop")),
                                    typedoc_1.JSX.createElement("ul", null,
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu--left" },
                                                typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu--left-item" },
                                                    typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu-header" }, "Best Value Bundles"),
                                                    typedoc_1.JSX.createElement("div", { class: "emphasize" },
                                                        typedoc_1.JSX.createElement("a", { href: "/products/ultimate" },
                                                            typedoc_1.JSX.createElement("span", { class: "navigation__sub-menu-title" }, "Infragistics Ultimate"),
                                                            " ",
                                                            typedoc_1.JSX.createElement("span", { class: "navigation__sub-menu-price bgColor--ultimate" }, "$1,495"),
                                                            " ",
                                                            typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "The only complete UX/UI toolkit for building high performance, modern web, mobile and desktop applications."),
                                                            " "))),
                                                typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu--left-item" },
                                                    typedoc_1.JSX.createElement("div", { class: "emphasize" },
                                                        typedoc_1.JSX.createElement("a", { href: "/products/pro" },
                                                            typedoc_1.JSX.createElement("span", { class: "navigation__sub-menu-title" }, "Infragistics Professional"),
                                                            " ",
                                                            typedoc_1.JSX.createElement("span", { class: "navigation__sub-menu-price bgColor--pro" }, "$1,295"),
                                                            " ",
                                                            typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "The comprehensive UI components library for web, mobile and desktop developers."),
                                                            " "))),
                                                typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu--left-item hidden-sm hidden-xs hidden-xxs" },
                                                    typedoc_1.JSX.createElement("div", { class: "emphasize" },
                                                        typedoc_1.JSX.createElement("a", { href: "/products/ignite-ui" },
                                                            typedoc_1.JSX.createElement("span", { class: "navigation__sub-menu-title" }, "Ignite UI"),
                                                            " ",
                                                            typedoc_1.JSX.createElement("span", { class: "navigation__sub-menu-price bgColor--ignite" }, "$1,295"),
                                                            " ",
                                                            typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "A complete library of UI components for building modern, data-rich and responsive web apps."),
                                                            " "))))),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu-header" }, "Web"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize", title: "App Builder", href: "/products/appbuilder" },
                                                "App Builder ",
                                                typedoc_1.JSX.createElement("strong", null, "(New)")),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize", href: "/products/ignite-ui" }, "Ignite UI"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize small-pad-left", href: "/products/ignite-ui-angular" }, "Angular"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize small-pad-left", href: "/products/ignite-ui-aspnet-core" }, "ASP.NET Core"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize small-pad-left", href: "/products/ignite-ui-aspnet-mvc" }, "ASP.NET MVC"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize small-pad-left", href: "/products/ignite-ui-blazor" }, "Blazor"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize small-pad-left", href: "/products/ignite-ui-jquery" }, "jQuery"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize small-pad-left", href: "/products/ignite-ui-react" }, "React"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize small-pad-left", href: "/products/ignite-ui-web-components" }, "Web Components"),
                                            typedoc_1.JSX.createElement("a", { class: "deemphasize", href: "/products/aspnet" }, "Ultimate UI for ASP.NET Web Forms")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu-header" }, "Desktop"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/windows-forms" }, "Ultimate UI for Windows Forms"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/wpf" }, "Ultimate UI for WPF"),
                                            typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu-header" }, "Cross Platform"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/uno-platform" }, "Ultimate UI for Uno"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/uwp" }, "Ultimate UI for UWP"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/winui" }, "Ultimate UI for WinUI"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/xamarin" }, "Ultimate UI for Xamarin")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu-header" }, "Design to Code"),
                                            typedoc_1.JSX.createElement("a", { class: "hidden-sm hidden-xs hidden-xxs", href: "/products/indigo-design" }, "Indigo.Design"),
                                            typedoc_1.JSX.createElement("a", { class: "hidden-sm hidden-xs hidden-xxs", href: "/products/appbuilder" },
                                                "App Builder ",
                                                typedoc_1.JSX.createElement("strong", null, "(New)")),
                                            typedoc_1.JSX.createElement("div", { class: "navigation__sub-menu-header" }, "Automated Testing Tools"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/test-automation-micro-focus-uft" }, "Test automation for Micro Focus UFT: Windows Forms"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/test-automation-micro-focus-uft" }, "Test automation for Micro Focus UFT: WPF"),
                                            typedoc_1.JSX.createElement("a", { href: "/products/test-automation-ibm-rft" }, "Test automation for IBM RFT: Windows Forms")))),
                                typedoc_1.JSX.createElement("li", null,
                                    typedoc_1.JSX.createElement("a", { class: "navigation__sub-menu mchNoDecorate", title: "UX", href: "/products/indigo-design" }, "UX"),
                                    typedoc_1.JSX.createElement("ul", { style: "display: none;" },
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Indigo.Design", href: "/products/indigo-design", class: "mchNoDecorate" },
                                                "Indigo.Design ",
                                                typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "A Unified Platform for Visual Design, UX Prototyping, Code Generation, and App Development"))),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "App Builder", href: "/products/appbuilder", class: "mchNoDecorate" },
                                                "App Builder",
                                                typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "Cloud-based WYSIWYG Drag & Drop Tool, Endless Theming options and Standards-Based Code Output"))))),
                                typedoc_1.JSX.createElement("li", { class: "" },
                                    typedoc_1.JSX.createElement("a", { class: "navigation__sub-menu mchNoDecorate", title: "Business Intelligence", href: "https://www.revealbi.io" }, "Business Intelligence"),
                                    typedoc_1.JSX.createElement("ul", { style: "display: none;" },
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Reveal", href: "https://www.revealbi.io", class: "mchNoDecorate" },
                                                "Reveal ",
                                                typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "Easily embed beautiful data visualizations into your apps"))),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Slingshot", href: "https://www.slingshotapp.io", class: "mchNoDecorate" },
                                                "Slingshot ",
                                                typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "Empower everyone in your organization to use data to make smarter business decisions"))))),
                                typedoc_1.JSX.createElement("li", null,
                                    typedoc_1.JSX.createElement("a", { class: "navigation__sub-menu mchNoDecorate", title: "Team Productivity", href: "https://www.slingshotapp.io" }, "Team Productivity"),
                                    typedoc_1.JSX.createElement("ul", { style: "display: none;" },
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Slingshot", href: "https://www.slingshotapp.io", class: "mchNoDecorate" },
                                                "Slingshot ",
                                                typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "Connect everyone you work with to data, project management, content and chats for better results."))),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "SharePlus", href: "https://www.infragistics.com/products/shareplus-enterprise", class: "mchNoDecorate" },
                                                "SharePlus ",
                                                typedoc_1.JSX.createElement("span", { class: "deemphasize" }, "Secure, instant access to content and data on the go \u2013 with or without connectivity."))))),
                                typedoc_1.JSX.createElement("li", null,
                                    typedoc_1.JSX.createElement("a", { class: "navigation__sub-menu mchNoDecorate", title: "Learn and Support", href: "/support" },
                                        typedoc_1.JSX.createElement("span", { class: "hidden-md" }, "Learn & Support"),
                                        typedoc_1.JSX.createElement("span", { class: "visible-md hidden-lg hidden-sm hidden-xs hidden-xxs" }, "Support")),
                                    typedoc_1.JSX.createElement("ul", { style: "display: none;" },
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Help and Support Documents", href: "/support", class: "mchNoDecorate" }, "Help & Support Documents")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Blogs", href: "/community/blogs", class: "mchNoDecorate" }, "Blogs")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Forums", href: "/community/forums", class: "mchNoDecorate" }, "Forums")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Product Ideas", href: "/community/ideas", class: "mchNoDecorate" }, "Product Ideas")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Reference Applications", href: "/resources/sample-applications", class: "mchNoDecorate" }, "Reference Applications")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Customer Stories", href: "/resources/case-studies", class: "mchNoDecorate" }, "Customer Stories")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Webinars", href: "/webinars", class: "mchNoDecorate" }, "Webinars")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "eBooks and Whitepapers", href: "/resources/whitepapers", class: "mchNoDecorate" }, "eBook & Whitepapers")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Events", href: "/events", class: "mchNoDecorate" }, "Events")))),
                                typedoc_1.JSX.createElement("li", null,
                                    typedoc_1.JSX.createElement("a", { title: "Free Trials", href: "/free-downloads", class: "mchNoDecorate" }, "Free Trials")),
                                typedoc_1.JSX.createElement("li", null,
                                    typedoc_1.JSX.createElement("a", { class: "navigation__sub-menu mchNoDecorate", title: "Pricing", href: "/how-to-buy/product-pricing" }, "Pricing"),
                                    typedoc_1.JSX.createElement("ul", { style: "display: none;" },
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Pricing", href: "/how-to-buy/product-pricing", class: "mchNoDecorate" }, "Product Pricing / Buy Online")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Renew Existing License", href: "/how-to-buy/renewal", class: "mchNoDecorate" }, "Renew Existing License")),
                                        typedoc_1.JSX.createElement("li", null,
                                            typedoc_1.JSX.createElement("a", { title: "Contact Us", href: "/about-us/contact-us", class: "mchNoDecorate" }, "Contact Us")))))),
                        typedoc_1.JSX.createElement("div", { class: "globalnav__overlay" }, "\u00A0")))))));
}
exports.infraNav = infraNav;
